Opened 10 years ago

Closed 9 years ago

#49 closed enhancement (wontfix)

TotalTV NDS Videoguard not working...

Reported by: satspyvk Owned by:
Priority: major Component: Card support
Severity: medium Keywords:
Cc: Sensitive: no

Description

Hi !

I have managed to get ATR correctly recognized, but after that it fails to init... I'am not so skillfull in C++ to do it by myself. Protocol = mouse

Can someone help, or at least say whats wrong and pointing me to the right direction. I wan't help.

Thanks !

2009/11/04 21:47:32 2686 r02 CLOCK RATE IS 357 in 10kHz steps
2009/11/04 21:47:32 2686 r02 ATR: 3F FF 14 25 03 10 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00
2009/11/04 21:47:33 2686 r02 Type: Videoguard TotalTV (091F)
2009/11/04 21:47:33 2686 r02 /dev/ttyUSB0: baud=38400
IO: Sending: F4 D1 7F FE 7F
IO: Receiving: F4 D1 7F FE 7F
IO: Receiving: FF
2009/11/04 21:47:33 2686 r02 failed to read 7401 cmd length (ff 14)
2009/11/04 21:47:33 2686 r02 card system not supported

Change History (25)

comment:1 Changed 10 years ago by satspyvk

I was wrong... real ATR is: 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00, but it reads correctly only on first insertion of card into the reader. If i re-insert the card it get's ATR from my first post.
I have tried with customspeed=0 and 1. Same result. Card is inserted in smartreader which is in fixed phoenix mode 3.69 mhz. In smartreader mode it doesn't work at all.
Anyway, again it says:

IO: Catching properties
IO: Setting properties: com1, 9600 bps; 8 bits/byte; Odd parity; 2 stopbits; dtr=1; rts=0
IO: Receiving: TIMEOUT
2009/11/08 0:19:39 4402 r02 ATR: 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00
2009/11/08 0:19:40 4402 r02 Type: Videoguard Total TV (091F)
2009/11/08 0:19:40 4402 r02 /dev/ttyUSB0: baud=38400
IO: Sending: F4 D1 7F FE 7F
IO: Receiving: F4 D1 7F FE 7F
IO: Receiving: FF
2009/11/08 0:19:40 4402 r02 failed to read 7401 cmd length (ff 14)
2009/11/08 0:19:40 4402 r02 card system not supported
2009/11/08 0:19:40 4402 r02 card initializing error

Cheers !

comment:2 Changed 10 years ago by dingo35

You could get more detailed info on how the card is re-initialized after ATR, by renaming config.h.dbg to config.h in csctapi directory, and then recompile...

comment:3 in reply to:  2 Changed 10 years ago by satspyvk

Replying to dingo35:

You could get more detailed info on how the card is re-initialized after ATR, by renaming config.h.dbg to config.h in csctapi directory, and then recompile...

Hi !

I will do it this weekend, i wasn't here all week...

Thanks !

comment:4 in reply to:  2 Changed 10 years ago by satspyvk

Replying to dingo35:

You could get more detailed info on how the card is re-initialized after ATR, by renaming config.h.dbg to config.h in csctapi directory, and then recompile...

Here you are... This is with oscam rev 530 and card inserted for the first time after OScam was started.

2009/11/21 23:18:46 2596 r02 card detected
IFD: com1 Status = card / no change
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=3, rsp={05 90 00 })=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 12 01 01 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / no change
IFD: Setting baudrate to 9600
IFD: Activating card
IFD: Resetting card:
IO: Receiving: F0
IO: Receiving: 0
IO: Receiving: 0
IO: Receiving: 0
IO: Receiving: TIMEOUT
IFD: Parity = Even
IO: Receiving: 3
IO: Receiving: 0
IO: Receiving: D7
IO: Receiving: 5B
IO: Receiving: 3F
IO: Receiving: F7
IO: Receiving: FE
IO: Receiving: 33
IO: Receiving: F2
IO: Receiving: F7
IO: Receiving: 69
IO: Receiving: 0
IO: Receiving: AD
IO: Receiving: F5
IO: Receiving: F1
IO: Receiving: FF
IO: Receiving: FF
IO: Receiving: A5
IO: Receiving: 3D
IO: Receiving: 7F
IO: Receiving: FF
IO: Receiving: FF
IO: Receiving: TIMEOUT
ICC: Detected inverse convention processor card T=0
IFD: Parity = Odd
IO: Catching properties
IO: Setting properties: com1, 9600 bps; 8 bits/byte; Odd parity; 2 stopbits; dtr=1; rts=0
IO: Receiving: TIMEOUT
PPS: Protocol T=0 selected
PPS: T=0, F=372, D=8.000000, N=3
Protocol: T=0: WWT=997, Clockrate=3580000
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=24, rsp={3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00 90 01 })=0
2009/11/21 23:18:49 2596 r02 ATR: 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00
2009/11/21 23:18:50 2596 r02 /dev/ttyUSB0: baud=38400
CTAPI: CT_data(ctn=1, *dad=0x00, *sad=0x02, lc=5, *cmd={D0 74 01 80 01 }, *lr=259, rsp=[])
Protocol: T=0 Case 3 short
IFD: Transmit: F4 D1 7F FE 7F
IO: Sending: F4 D1 7F FE 7F
IO: Receiving: F4 D1 7F FE 7F
IO: Receiving: TIMEOUT
CTAPI: CT_data(ctn=1, *dad=0x02, *sad=0x00, lc=5, *cmd={}, *lr=0, rsp={})=-10
2009/11/21 23:18:52 2596 r02 card system not supported
2009/11/21 23:18:52 2596 r02 card initializing error
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 13 01 80 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / no change

comment:5 in reply to:  2 Changed 10 years ago by satspyvk

Replying to dingo35:

You could get more detailed info on how the card is re-initialized after ATR, by renaming config.h.dbg to config.h in csctapi directory, and then recompile...

And this is from second and every other insertion of card....

CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 12 01 01 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / no change
IFD: Setting baudrate to 9600
IFD: Activating card
IFD: Resetting card:
IO: Receiving: TIMEOUT
IFD: Parity = Even
IO: Catching properties
IO: Setting properties: com1, 9600 bps; 8 bits/byte; Even parity; 2 stopbits; dtr=1; rts=0
IO: Receiving: TIMEOUT
IO: Receiving: TIMEOUT
IFD: Parity = Odd
IO: Catching properties
IO: Setting properties: com1, 9600 bps; 8 bits/byte; Odd parity; 2 stopbits; dtr=1; rts=0
IO: Receiving: 3
IO: Receiving: 0
IO: Receiving: D7
IO: Receiving: 5B
IO: Receiving: 3F
IO: Receiving: F7
IO: Receiving: 3
IO: Receiving: 0
IO: Receiving: D7
IO: Receiving: 5B
IO: Receiving: 3F
IO: Receiving: F7
IO: Receiving: FE
IO: Receiving: 33
IO: Receiving: F2
IO: Receiving: F7
IO: Receiving: 69
IO: Receiving: 0
IO: Receiving: AD
IO: Receiving: F5
IO: Receiving: F1
IO: Receiving: FF
IO: Receiving: FF
IO: Receiving: A5
IO: Receiving: 3D
IO: Receiving: 7F
IO: Receiving: FF
IO: Receiving: FF
IO: Receiving: TIMEOUT
ICC: Detected inverse convention processor card T=0
IFD: Parity = Odd
IO: Receiving: TIMEOUT
PPS: Protocol T=0 selected
PPS: T=0, F=372, D=8.000000, N=3
Protocol: T=0: WWT=997, Clockrate=3580000
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=24, rsp={3F FF 14 25 03 10 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 90 01 })=0
2009/11/21 23:24:47 2649 r02 ATR: 3F FF 14 25 03 10 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00
2009/11/21 23:24:48 2649 r02 /dev/ttyUSB0: baud=38400
CTAPI: CT_data(ctn=1, *dad=0x00, *sad=0x02, lc=5, *cmd={D0 74 01 80 01 }, *lr=259, rsp=[])
Protocol: T=0 Case 3 short
IFD: Transmit: F4 D1 7F FE 7F
IO: Sending: F4 D1 7F FE 7F
IO: Receiving: F4 D1 7F FE 7F
IO: Receiving: TIMEOUT
CTAPI: CT_data(ctn=1, *dad=0x02, *sad=0x00, lc=5, *cmd={}, *lr=0, rsp={})=-10
2009/11/21 23:24:50 2649 r02 card system not supported
2009/11/21 23:24:50 2649 r02 card initializing error
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 13 01 80 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / no change

comment:6 in reply to:  2 ; Changed 10 years ago by satspyvk

Replying to dingo35:

You could get more detailed info on how the card is re-initialized after ATR, by renaming config.h.dbg to config.h in csctapi directory, and then recompile...

I forgot to tell..... reader is smargo in autoswitch mode 3.69 mhz, and protocol = mouse...

mhz parameter is 358, customspeed = 0

Linux is Ubuntu 9.04

Thanks !

comment:7 in reply to:  6 Changed 10 years ago by satspyvk

Replying to satspyvk:

Replying to dingo35:

You could get more detailed info on how the card is re-initialized after ATR, by renaming config.h.dbg to config.h in csctapi directory, and then recompile...

I forgot to tell..... reader is smargo in autoswitch mode 3.69 mhz, and protocol = mouse...

mhz parameter is 358, customspeed = 0

Linux is Ubuntu 9.04

Thanks !

I will try with plain phoenix reader in couple of days. I think smargo is not behave correctly.

comment:8 Changed 10 years ago by dingo35

Try again with customspeed = 0 in your reader config

comment:9 in reply to:  8 Changed 10 years ago by satspyvk

Replying to dingo35:

Try again with customspeed = 0 in your reader config

oscam.conf


[global]

nice = -1

WaitForCards? = 1

# logging

pidfile = /var/run/oscam.pid

logfile = /dev/tty


# monitor

[monitor]

port = 988

aulow = 120

monlevel = 1

# protocols

[newcamd]

key = 0102030405060708091011121314

port = 55555@091f:000000[[BR]]

oscam.server


[reader]

Label = TotalTV

Protocol = mouse

Detect = CD

Device = /dev/ttyS0

customspeed = 0

mhz = 357

EMMCache = 1,3,2

Group = 1

Fallback = 0

CAID = 091f

oscam.user


[account]

user = user

pwd = pass

monlevel = 1

uniq = 1

group = 1

au = TotalTV

CAID = 91f

[account]

user = user1

pwd = pass1

monlevel = 1

uniq = 1

group = 1

au = TotalTV

CAID = 91f

That is settings i have used.

comment:10 Changed 10 years ago by satspyvk

And here is log file with customspeed = 0.

gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c bn_word.c
ar -rvsl ../lib/libcscrypt-i686-pc-linux.a bn_word.o
a - bn_word.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c mem.c
ar -rvsl ../lib/libcscrypt-i686-pc-linux.a mem.o
a - mem.o
make -C csctapi
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c apdu.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a apdu.o
ar: creating ../lib/libcsctapi-i686-pc-linux.a
a - apdu.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c atr.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a atr.o
a - atr.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c cardterminal.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a cardterminal.o
a - cardterminal.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c ct_list.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a ct_list.o
a - ct_list.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c ct_slot.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a ct_slot.o
a - ct_slot.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c ctapi.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a ctapi.o
a - ctapi.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c icc_async.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a icc_async.o
a - icc_async.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c ifd_towitoko.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a ifd_towitoko.o
a - ifd_towitoko.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c io_serial.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a io_serial.o
a - io_serial.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c pps.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a pps.o
a - pps.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c protocol_t0.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a protocol_t0.o
a - protocol_t0.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c protocol_t1.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a protocol_t1.o
a - protocol_t1.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c t1_block.c
ar -rvsl ../lib/libcsctapi-i686-pc-linux.a t1_block.o
a - t1_block.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi oscam-simples.c
ar -rvsl lib/libcs-i686-pc-linux.a oscam-simples.o
ar: creating lib/libcs-i686-pc-linux.a
a - oscam-simples.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi oscam-config.c
ar -rvsl lib/libcs-i686-pc-linux.a oscam-config.o
a - oscam-config.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi oscam-log.c
ar -rvsl lib/libcs-i686-pc-linux.a oscam-log.o
a - oscam-log.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi oscam-reader.c
ar -rvsl lib/libcs-i686-pc-linux.a oscam-reader.o
a - oscam-reader.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi reader-common.c
ar -rvsl lib/libcs-i686-pc-linux.a reader-common.o
a - reader-common.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi reader-irdeto.c
ar -rvsl lib/libcs-i686-pc-linux.a reader-irdeto.o
a - reader-irdeto.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi reader-viaccess.c
ar -rvsl lib/libcs-i686-pc-linux.a reader-viaccess.o
a - reader-viaccess.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi reader-videoguard2.c
ar -rvsl lib/libcs-i686-pc-linux.a reader-videoguard2.o
a - reader-videoguard2.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi reader-seca.c
ar -rvsl lib/libcs-i686-pc-linux.a reader-seca.o
a - reader-seca.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi reader-cryptoworks.c
ar -rvsl lib/libcs-i686-pc-linux.a reader-cryptoworks.o
a - reader-cryptoworks.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi reader-conax.c
ar -rvsl lib/libcs-i686-pc-linux.a reader-conax.o
a - reader-conax.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi reader-dre.c
ar -rvsl lib/libcs-i686-pc-linux.a reader-dre.o
a - reader-dre.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi module-camd33.c
ar -rvsl lib/libcs-i686-pc-linux.a module-camd33.o
a - module-camd33.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi module-camd35.c
ar -rvsl lib/libcs-i686-pc-linux.a module-camd35.o
a - module-camd35.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi module-radegast.c
ar -rvsl lib/libcs-i686-pc-linux.a module-radegast.o
a - module-radegast.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi module-serial.c
ar -rvsl lib/libcs-i686-pc-linux.a module-serial.o
a - module-serial.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi module-monitor.c
ar -rvsl lib/libcs-i686-pc-linux.a module-monitor.o
a - module-monitor.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi module-newcamd.c
ar -rvsl lib/libcs-i686-pc-linux.a module-newcamd.o
a - module-newcamd.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi oscam-nano.c
ar -rvsl lib/libcs-i686-pc-linux.a oscam-nano.o
a - oscam-nano.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi oscam-chk.c
ar -rvsl lib/libcs-i686-pc-linux.a oscam-chk.o
a - oscam-chk.o
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer -c -Icsctapi oscam-ac.c
ar -rvsl lib/libcs-i686-pc-linux.a oscam-ac.o
a - oscam-ac.o
ranlib lib/libcs-i686-pc-linux.a
gcc -O2 -DOS_LINUX -DCS_CONFDIR='"/usr/local/etc"' -Winline -Werror -finline-functions -fomit-frame-pointer oscam.c lib/libcs-i686-pc-linux.a lib/libcscrypt-i686-pc-linux.a lib/libcsctapi-i686-pc-linux.a -o "Distribution/oscam-0.99.4svn-i686-pc-linux" -lcrypto -lpthread
strip Distribution/oscam-0.99.4svn-i686-pc-linux
[root@server oscam-svn]# clear
[root@server oscam-svn]# ~/oscam-svn/Distribution/oscam-0.99.4svn-i686-pc-linux -c /usr/local/oscam


OSCam << cardserver started at Wed Nov 25 16:16:29 2009


2009/11/25 16:16:29 21087 s version=0.99.4svn, system=i686-pc-linux, nice=-1
2009/11/25 16:16:29 21087 s max. clients=509, client max. idle=120 sec
2009/11/25 16:16:29 21087 s max. logsize=unlimited
2009/11/25 16:16:29 21087 s client timeout=5000 ms, fallback timeout=2500 ms, cache delay=0 ms
2009/11/25 16:16:29 21087 s shared memory initialized (size=4072232, id=65536)
2009/11/25 16:16:29 21087 s auth size=4736
2009/11/25 16:16:29 21087 s Cannot open file "/usr/local/oscam/oscam.services" (errno=2)
2009/11/25 16:16:29 21087 s userdb reloaded: 0 accounts freed, 2 accounts loaded
2009/11/25 16:16:29 21087 s signal handling initialized (type=sysv)
2009/11/25 16:16:29 21087 s can't open file "/usr/local/oscam/oscam.srvid" (err=2), no service-id's loaded
2009/11/25 16:16:29 21087 s monitor: initialized (fd=6, port=988)
2009/11/25 16:16:29 21087 s camd 3.3x: disabled
2009/11/25 16:16:29 21087 s camd 3.5x: disabled
2009/11/25 16:16:29 21087 s cs378x: disabled
2009/11/25 16:16:29 21087 s newcamd: initialized (fd=7, port=55555, crypted)
2009/11/25 16:16:29 21087 s CAID: 091F
2009/11/25 16:16:29 21087 s provid #0: 000000
2009/11/25 16:16:29 21087 s radegast: disabled
2009/11/25 16:16:29 21087 s resolver thread started
2009/11/25 16:16:29 21087 s logger started (pid=21089)
2009/11/25 16:16:29 21087 s resolver started (pid=21090, delay=30 sec)
2009/11/25 16:16:29 21087 s reader started (pid=21091, device=/dev/ttyS0, detect=cd, mhz=357)
2009/11/25 16:16:29 21087 s Waiting for local card init ....
IO: Opening serial port /dev/ttyS0
IO: Catching properties
IO: Setting properties: com1, 1200 bps; 7 bits/byte; None parity; 1 stopbits; dtr=1; rts=0
IO: Receiving: 7F
IO: Receiving: 17
IO: Receiving: 3F
IO: Receiving: 69
IO: Receiving: 7D
IO: Receiving: TIMEOUT
IO: Receiving: TIMEOUT
IFD: Initialicing slot number 0, com=1
IO: Catching properties
IO: Setting properties: com1, 9600 bps; 8 bits/byte; Even parity; 2 stopbits; dtr=1; rts=0
IFD: Setting baudrate to 9600
IFD: Parity = Even
IFD: Reader type = Multicam
IO: Receiving: TIMEOUT
CTAPI: CT_init(ctn=1, pn=0)=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 13 01 80 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / change
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=3, rsp={05 90 00 })=0
2009/11/25 16:16:32 21091 r02 card detected
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=3, *cmd={11 01 00 }, *lr=259, rsp=[])
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=3, *cmd={}, *lr=2, rsp={6E 00 })=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 13 00 80 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / no change
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=3, rsp={05 90 00 })=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 12 01 01 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / no change
IFD: Setting baudrate to 9600
IFD: Activating card
IFD: Resetting card:
IO: Receiving: TIMEOUT
IFD: Parity = Even
IO: Receiving: 3
IO: Receiving: 0
IO: Receiving: D7
IO: Receiving: 5B
IO: Receiving: 3F
IO: Receiving: F7
IO: Receiving: FE
IO: Receiving: 33
IO: Receiving: F2
IO: Receiving: F7
IO: Receiving: 69
IO: Receiving: 0
IO: Receiving: AD
IO: Receiving: F5
IO: Receiving: F1
IO: Receiving: FF
IO: Receiving: FF
IO: Receiving: A5
IO: Receiving: 3D
IO: Receiving: 7F
IO: Receiving: FF
IO: Receiving: FF
IO: Receiving: TIMEOUT
ICC: Detected inverse convention processor card T=0
IFD: Parity = Odd
IO: Catching properties
IO: Setting properties: com1, 9600 bps; 8 bits/byte; Odd parity; 2 stopbits; dtr=1; rts=0
IO: Receiving: TIMEOUT
PPS: Protocol T=0 selected
PPS: T=0, F=372, D=8.000000, N=3
Protocol: T=0: WWT=1000, Clockrate=3570000
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=24, rsp={3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00 90 01 })=0
2009/11/25 16:16:35 21091 r02 ATR: 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00
CTAPI: CT_data(ctn=1, *dad=0x00, *sad=0x02, lc=5, *cmd={D0 74 01 80 01 }, *lr=259, rsp=[])
Protocol: T=0 Case 3 short
IFD: Transmit: F4 D1 7F FE 7F
2009/11/25 16:16:36 21091 r02 /dev/ttyS0: baud=38400
IO: Sending: F4 D1 7F FE 7F
IO: Receiving: 0 0 0 0 E7
IO: Receiving: EE
IFD: Receive: EE
CTAPI: CT_data(ctn=1, *dad=0x02, *sad=0x00, lc=5, *cmd={}, *lr=0, rsp={})=-10
2009/11/25 16:16:36 21091 r02 card system not supported
2009/11/25 16:16:36 21091 r02 card initializing error
2009/11/25 16:16:36 21087 s Init for all local cards done !
2009/11/25 16:16:36 21087 s anti cascading disabled

comment:11 Changed 10 years ago by satspyvk

Sorry ! Wrong copy/paste. Here is with customspeed = 0.

[root@server ~]# ~/oscam-svn/Distribution/oscam-0.99.4svn-i686-pc-linux -c /usr/local/oscam


OSCam << cardserver started at Wed Nov 25 16:19:28 2009


2009/11/25 16:19:28 21353 s version=0.99.4svn, system=i686-pc-linux, nice=-1
2009/11/25 16:19:28 21353 s max. clients=509, client max. idle=120 sec
2009/11/25 16:19:28 21353 s max. logsize=unlimited
2009/11/25 16:19:28 21353 s client timeout=5000 ms, fallback timeout=2500 ms, cache delay=0 ms
2009/11/25 16:19:28 21353 s shared memory initialized (size=4072232, id=98304)
2009/11/25 16:19:28 21353 s auth size=4736
2009/11/25 16:19:28 21353 s Cannot open file "/usr/local/oscam/oscam.services" (errno=2)
2009/11/25 16:19:28 21353 s userdb reloaded: 0 accounts freed, 2 accounts loaded
2009/11/25 16:19:28 21353 s signal handling initialized (type=sysv)
2009/11/25 16:19:28 21353 s can't open file "/usr/local/oscam/oscam.srvid" (err=2), no service-id's loaded
2009/11/25 16:19:28 21353 s monitor: initialized (fd=6, port=988)
2009/11/25 16:19:28 21353 s camd 3.3x: disabled
2009/11/25 16:19:28 21353 s camd 3.5x: disabled
2009/11/25 16:19:28 21353 s cs378x: disabled
2009/11/25 16:19:28 21353 s newcamd: initialized (fd=7, port=55555, crypted)
2009/11/25 16:19:28 21353 s CAID: 091F
2009/11/25 16:19:28 21353 s provid #0: 000000
2009/11/25 16:19:28 21353 s radegast: disabled
2009/11/25 16:19:28 21353 s resolver thread started
2009/11/25 16:19:28 21353 s logger started (pid=21355)
2009/11/25 16:19:28 21353 s resolver started (pid=21356, delay=30 sec)
2009/11/25 16:19:28 21353 s reader started (pid=21357, device=/dev/ttyS0, detect=cd, mhz=357)
2009/11/25 16:19:28 21353 s Waiting for local card init ....
IO: Opening serial port /dev/ttyS0
IO: Catching properties
IO: Setting properties: com1, 1200 bps; 7 bits/byte; None parity; 1 stopbits; dtr=1; rts=0
IO: Receiving: 7F
IO: Receiving: 17
IO: Receiving: 3F
IO: Receiving: 69
IO: Receiving: 7D
IO: Receiving: TIMEOUT
IO: Receiving: TIMEOUT
IFD: Initialicing slot number 0, com=1
IO: Catching properties
IO: Setting properties: com1, 9600 bps; 8 bits/byte; Even parity; 2 stopbits; dtr=1; rts=0
IFD: Setting baudrate to 9600
IFD: Parity = Even
IFD: Reader type = Multicam
IO: Receiving: TIMEOUT
CTAPI: CT_init(ctn=1, pn=0)=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 13 01 80 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / change
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=3, rsp={05 90 00 })=0
2009/11/25 16:19:31 21357 r02 card detected
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=3, *cmd={11 01 00 }, *lr=259, rsp=[])
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=3, *cmd={}, *lr=2, rsp={6E 00 })=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 13 00 80 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / no change
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=3, rsp={05 90 00 })=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 12 01 01 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / no change
IFD: Setting baudrate to 9600
IFD: Activating card
IFD: Resetting card:
IO: Receiving: TIMEOUT
IFD: Parity = Even
IO: Receiving: 3
IO: Receiving: 0
IO: Receiving: D7
IO: Receiving: 5B
IO: Receiving: 3F
IO: Receiving: F7
IO: Receiving: FE
IO: Receiving: 33
IO: Receiving: F2
IO: Receiving: F7
IO: Receiving: 69
IO: Receiving: 0
IO: Receiving: AD
IO: Receiving: F5
IO: Receiving: F1
IO: Receiving: FF
IO: Receiving: FF
IO: Receiving: A5
IO: Receiving: 3D
IO: Receiving: 7F
IO: Receiving: FF
IO: Receiving: FF
IO: Receiving: TIMEOUT
ICC: Detected inverse convention processor card T=0
IFD: Parity = Odd
IO: Catching properties
IO: Setting properties: com1, 9600 bps; 8 bits/byte; Odd parity; 2 stopbits; dtr=1; rts=0
IO: Receiving: TIMEOUT
PPS: Protocol T=0 selected
PPS: T=0, F=372, D=8.000000, N=3
Protocol: T=0: WWT=1000, Clockrate=3570000
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=24, rsp={3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00 90 01 })=0
2009/11/25 16:19:34 21357 r02 ATR: 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00
CTAPI: CT_data(ctn=1, *dad=0x00, *sad=0x02, lc=5, *cmd={D0 74 01 80 01 }, *lr=259, rsp=[])
Protocol: T=0 Case 3 short
IFD: Transmit: F4 D1 7F FE 7F
2009/11/25 16:19:35 21357 r02 /dev/ttyS0: baud=38400
IO: Sending: F4 D1 7F FE 7F
IO: Receiving: 0 0 0 0 E7
IO: Receiving: EE
IFD: Receive: EE
CTAPI: CT_data(ctn=1, *dad=0x02, *sad=0x00, lc=5, *cmd={}, *lr=0, rsp={})=-10
2009/11/25 16:19:35 21357 r02 card system not supported
2009/11/25 16:19:35 21357 r02 card initializing error
2009/11/25 16:19:35 21353 s Init for all local cards done !
2009/11/25 16:19:35 21353 s anti cascading disabled

comment:12 Changed 10 years ago by satspyvk

And here is with customspeed = 1

[root@server oscam]# ~/oscam-svn/Distribution/oscam-0.99.4svn-i686-pc-linux -c /usr/local/oscam


OSCam << cardserver started at Wed Nov 25 16:21:36 2009


2009/11/25 16:21:36 21451 s version=0.99.4svn, system=i686-pc-linux, nice=-1
2009/11/25 16:21:36 21451 s max. clients=509, client max. idle=120 sec
2009/11/25 16:21:36 21451 s max. logsize=unlimited
2009/11/25 16:21:36 21451 s client timeout=5000 ms, fallback timeout=2500 ms, cache delay=0 ms
2009/11/25 16:21:36 21451 s shared memory initialized (size=4072232, id=131072)
2009/11/25 16:21:36 21451 s auth size=4736
2009/11/25 16:21:36 21451 s Cannot open file "/usr/local/oscam/oscam.services" (errno=2)
2009/11/25 16:21:36 21451 s userdb reloaded: 0 accounts freed, 2 accounts loaded
2009/11/25 16:21:36 21451 s signal handling initialized (type=sysv)
2009/11/25 16:21:36 21451 s can't open file "/usr/local/oscam/oscam.srvid" (err=2), no service-id's loaded
2009/11/25 16:21:36 21451 s monitor: initialized (fd=6, port=988)
2009/11/25 16:21:36 21451 s camd 3.3x: disabled
2009/11/25 16:21:36 21451 s camd 3.5x: disabled
2009/11/25 16:21:36 21451 s cs378x: disabled
2009/11/25 16:21:36 21451 s newcamd: initialized (fd=7, port=55555, crypted)
2009/11/25 16:21:36 21451 s CAID: 091F
2009/11/25 16:21:36 21451 s provid #0: 000000
2009/11/25 16:21:36 21451 s radegast: disabled
2009/11/25 16:21:36 21451 s resolver thread started
2009/11/25 16:21:36 21451 s logger started (pid=21453)
2009/11/25 16:21:36 21451 s resolver started (pid=21454, delay=30 sec)
2009/11/25 16:21:36 21451 s reader started (pid=21455, device=/dev/ttyS0, detect=cd, mhz=357)
2009/11/25 16:21:36 21451 s Waiting for local card init ....
IO: Opening serial port /dev/ttyS0
IO: Catching properties
IO: Setting properties: com1, 1200 bps; 7 bits/byte; None parity; 1 stopbits; dtr=1; rts=0
IO: Receiving: 7F
IO: Receiving: 17
IO: Receiving: 3F
IO: Receiving: 69
IO: Receiving: 7D
IO: Receiving: TIMEOUT
IO: Receiving: TIMEOUT
IFD: Initialicing slot number 0, com=1
IO: Catching properties
IO: Setting properties: com1, 9600 bps; 8 bits/byte; Even parity; 2 stopbits; dtr=1; rts=0
IFD: Setting baudrate to 9600
IFD: Parity = Even
IFD: Reader type = Multicam
IO: Receiving: TIMEOUT
CTAPI: CT_init(ctn=1, pn=0)=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 13 01 80 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / change
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=3, rsp={05 90 00 })=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=3, *cmd={11 01 00 }, *lr=259, rsp=[])
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=3, *cmd={}, *lr=2, rsp={6E 00 })=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 13 00 80 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / no change
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=3, rsp={05 90 00 })=0
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x02, lc=5, *cmd={20 12 01 01 00 }, *lr=259, rsp=[])
IFD: com1 Status = card / no change
IFD: Setting baudrate to 9600
IFD: Activating card
IFD: Resetting card:
IO: Receiving: 2009/11/25 16:21:39 21455 r02 card detected
TIMEOUT
IFD: Parity = Even
IO: Receiving: 3
IO: Receiving: 0
IO: Receiving: D7
IO: Receiving: 5B
IO: Receiving: 3F
IO: Receiving: F7
IO: Receiving: FE
IO: Receiving: 33
IO: Receiving: F2
IO: Receiving: F7
IO: Receiving: 69
IO: Receiving: 0
IO: Receiving: AD
IO: Receiving: F5
IO: Receiving: F1
IO: Receiving: FF
IO: Receiving: FF
IO: Receiving: A5
IO: Receiving: 3D
IO: Receiving: 7F
IO: Receiving: FF
IO: Receiving: FF
IO: Receiving: TIMEOUT
ICC: Detected inverse convention processor card T=0
IFD: Parity = Odd
IO: Catching properties
IO: Setting properties: com1, 9600 bps; 8 bits/byte; Odd parity; 2 stopbits; dtr=1; rts=0
IO: Receiving: TIMEOUT
PPS: Protocol T=0 selected
PPS: T=0, F=372, D=8.000000, N=3
Protocol: T=0: WWT=1000, Clockrate=3570000
CTAPI: CT_data(ctn=1, *dad=0x01, *sad=0x01, lc=5, *cmd={}, *lr=24, rsp={3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00 90 01 })=0
2009/11/25 16:21:42 21455 r02 ATR: 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00
CTAPI: CT_data(ctn=1, *dad=0x00, *sad=0x02, lc=5, *cmd={D0 74 01 80 01 }, *lr=259, rsp=[])
Protocol: T=0 Case 3 short
IFD: Transmit: F4 D1 7F FE 7F
2009/11/25 16:21:43 21455 r02 /dev/ttyS0: custom: baud_base=115200 baud=64516 divisor=2 -> effective baudrate 57600 (-0.11% off)
IO: Sending: F4 D1 7F FE 7F
IO: Receiving: 0 0 7F FE 7F
IO: Receiving: TIMEOUT
CTAPI: CT_data(ctn=1, *dad=0x02, *sad=0x00, lc=5, *cmd={}, *lr=0, rsp={})=-10
2009/11/25 16:21:45 21455 r02 card system not supported
2009/11/25 16:21:45 21455 r02 card initializing error

comment:13 Changed 10 years ago by forest70

For correct read card 091f after reset WWT: 76800etu and baud rate is 129032

comment:14 in reply to:  13 Changed 10 years ago by satspyvk

Replying to forest70:

For correct read card 091f after reset WWT: 76800etu and baud rate is 129032

Hi !

Where did you get this info ? How i can put this values into the source, to be more precisely , what file ? I will try to do it myself.

Thanks !

comment:15 Changed 10 years ago by satspyvk

It's not working. I think TotalTV is using another command for "cmd_list".

I get error ins7401. When oscam send "d0 74 01" i get nothing as response.

ATR is OK now, i have inserted ATR, so card is identified correctly, i'am using plain phoenix interface.

I have tried everything but i can't get it to work.

I'am stuck with ins7401 error !

comment:16 Changed 10 years ago by freak0815

Same for me: It's the only card which is not working in oscam for me.
I got it working with Newcs 1.17 RC 10, but I like Oscam!
Any news about this issue?

comment:17 Changed 10 years ago by alno

Component: Card support
Sensitive: unset

comment:18 Changed 10 years ago by alno

Type: defectenhancement

is not in cards list http://www.streamboard.tv/oscam/wiki/CardsList so it's an enhancement

comment:19 Changed 9 years ago by lattjo

Can anyone confirm is this card is working or not?
If not, can you try with newcs 1.17 as someone suggested? And if working with newcs, please post a log with verbose output.

comment:20 Changed 9 years ago by freak0815

This is a log from NewCS 1.17 with Smargo on my Debian:

[ 21:52:50 ] [ Loader ] Reader type 2 on node /dev/ttyUSB0
[ 21:52:50 ] [ Phoenix ] Opening device /dev/ttyUSB0
[ 21:52:50 ] [ Phoenix ] Setting Parity to: ODD
[ 21:52:50 ] [ Phoenix ] Setting Baud to standard 9600
[ 21:52:50 ] [ Phoenix ] Normal RESET on node /dev/ttyUSB0
[ 21:52:51 ] [ DEBUG ] 03 00 D7 5B 3F F7 FE 33 F2 F7 69 00 AD F5 F1 FF
[ 21:52:51 ] [ DEBUG ] FF A5 3D 7F FF FF
[ 21:52:51 ] [ CardMan? ] Atr header is 3F FF [INVERSE]
[ 21:52:51 ] [ ATR ] T=0 ETU:13.020833 EGT:3 WWT:1000
[ 21:52:51 ] [ ATR ] Historical bytes: 3 [B0] [10] i [FF] J P p [00] [00] Z C [01] [00] [00]
[ 21:52:51 ] [ Loader ] Init NDS card
[ 21:52:51 ] [ Phoenix ] Setting Parity to: ODD
[ 21:52:51 ] [ Phoenix ] Setting Baud to custom 76800
[ 21:52:51 ] [ NDS ] Sending to Card: D074018001
[ 21:52:51 ] [ DEBUG ] D0 74 01 80 01
[ 21:52:51 ] [ DEBUG ] 74 98
[ 21:52:51 ] [ DEBUG ] 90 00
[ 21:52:51 ] [ NDS ] Status Word from Card: 9000
[ 21:52:51 ] [ NDS ] Sending to Card: D074010098
[ 21:52:51 ] [ DEBUG ] D0 74 01 00 98
[ 21:52:52 ] [ DEBUG ] 74 01 96 25 01 D0 0E FF 02 D0 18 0C 01 D0 1A 08
[ 21:52:52 ] [ DEBUG ] 03 D0 1E 09 03 D0 2E FF 00 D0 32 01 01 D0 36 FF
[ 21:52:52 ] [ DEBUG ] 02 D0 38 02 03 D0 40 FF 00 D0 42 FF 00 D0 44 35
[ 21:52:52 ] [ DEBUG ] 01 D0 46 FF 00 D0 4A FF 00 D0 4C 09 01 D0 4E 05
[ 21:52:52 ] [ DEBUG ] 03 D0 50 FF 02 D0 54 30 03 D0 56 FF 02 D0 58 4A
[ 21:52:52 ] [ DEBUG ] 03 D0 5A FF 02 D0 5C 04 03 D0 5E FF 02 D0 70 25
[ 21:52:52 ] [ DEBUG ] 03 D0 72 23 03 D0 74 FF 02 D0 76 0A 03 D0 78 18
[ 21:52:52 ] [ DEBUG ] 03 D0 7A FF 00 D0 7C FF 02 D0 7E FF 00 D0 B4 40
[ 21:52:52 ] [ DEBUG ] 01 D0 BC 50 03 D0 BE 10 03 D0 C0 FF 02 D0 C2 18
[ 21:52:52 ] [ DEBUG ] 01 D0 D2 FF 02 D0 D4 FF 00
[ 21:52:52 ] [ DEBUG ] 90 00
[ 21:52:52 ] [ NDS ] Status Word from Card: 9000
[ 21:52:52 ] [ NDS ] Sending to Card: D074168001
[ 21:52:52 ] [ DEBUG ] D0 74 16 80 01
[ 21:52:52 ] [ DEBUG ] 74 04
[ 21:52:52 ] [ DEBUG ] 90 00
[ 21:52:52 ] [ NDS ] Status Word from Card: 9000
[ 21:52:52 ] [ NDS ] Sending to Card: D074160004
[ 21:52:52 ] [ DEBUG ] D0 74 16 00 04
[ 21:52:52 ] [ DEBUG ] 74 26 02 3F 00
[ 21:52:52 ] [ DEBUG ] 90 00
[ 21:52:52 ] [ NDS ] Status Word from Card: 9000
[ 21:52:52 ] [ NDS ] Sending to Card: D036008001
[ 21:52:52 ] [ DEBUG ] D0 36 00 80 01
[ 21:52:52 ] [ DEBUG ] 36 90
[ 21:52:52 ] [ DEBUG ] 90 00
[ 21:52:52 ] [ NDS ] Status Word from Card: 9000
[ 21:52:52 ] [ NDS ] Sending to Card: D036000090
[ 21:52:52 ] [ DEBUG ] D0 36 00 00 90
[ 21:52:52 ] [ DEBUG ] 36 90 00 04 01 00 03 A0 CA 01 00 00 4F 0F 3D 84
[ 21:52:52 ] [ DEBUG ] DE 3A 03 F0 00 00 00 00 00 00 00 00 00 00 00 00
[ 21:52:52 ] [ DEBUG ] 00 00 00 00 00 00 00 00 00 00 64 5E 7E 13 C3 C5
[ 21:52:52 ] [ DEBUG ] 9B 4D F5 62 A7 8D 08 A4 86 1C 00 00 60 8A 82 D2
[ 21:52:52 ] [ DEBUG ] 1A 54 BB 38 2F AA 7D BE 5A A6 76 C2 E9 08 03 80
[ 21:52:52 ] [ DEBUG ] 50 86 50 06 50 06 F3 0B 56 62 C1 DF 4B 15 00 80
[ 21:52:52 ] [ DEBUG ] EF 00 01 E2 13 80 00 00 00 FF FF FF FF FF FF FF
[ 21:52:52 ] [ DEBUG ] FF FF FF FF FF FF FF FF FA 76 1A B6 2F AF 75 5F
[ 21:52:52 ] [ DEBUG ] E9 5E 05 00 95 00 00 00 D1 25 50 99 11 1C 00 00
[ 21:52:52 ] [ DEBUG ] 01
[ 21:52:52 ] [ DEBUG ] 90 00
[ 21:52:52 ] [ NDS ] Status Word from Card: 9000
[ 21:52:52 ] [ NDS ] BOXID: 0B5662C1
[ 21:52:52 ] [ NDS ] Sending to Card: D04C000009
[ 21:52:52 ] [ DEBUG ] D0 4C 00 00 09
[ 21:52:52 ] [ DEBUG ] 4C
[ 21:52:52 ] [ DEBUG ] 0B 56 62 C1 03 00 00 02 04
[ 21:52:52 ] [ DEBUG ] 90 20
[ 21:52:52 ] [ NDS ] Status Word from Card: 9020
[ 21:52:52 ] [ NDS ] Sending to Card: D05800004A
[ 21:52:52 ] [ DEBUG ] D0 58 00 00 4A
[ 21:52:52 ] [ DEBUG ] 58 15 48 25 00 03 A0 CA 02 0D 8B DB 0C 00 E1 54
[ 21:52:52 ] [ DEBUG ] 00 00 00 00 00 05 3C A6 00 09 1F 00 03 A0 CA FF
[ 21:52:52 ] [ DEBUG ] FF FF FF 00 03 A0 00 FF FF FF 00 00 00 00 00 FF
[ 21:52:52 ] [ DEBUG ] FF FF FF 08 00 00 00 01 53 52 42 00 01 55 30 30
[ 21:52:52 ] [ DEBUG ] 30 30 30 30 34 4B 15 AC 69 00 00
[ 21:52:52 ] [ DEBUG ] 90 20
[ 21:52:52 ] [ NDS ] Status Word from Card: 9020
[ 21:52:52 ] [ NDS ] CAID: 091F
[ 21:52:52 ] [ Keyman ] Adding key 3A0CA type 0 on Provider 0 for caid 091F ID=0
[ 21:52:52 ] [ Keyman ] Adding key 3A000 type 1 on Provider 0 for caid 091F ID=0
[ 21:52:52 ] [ NDS ] Sending to Card: D0B4000040
[ 21:52:52 ] [ DEBUG ] D0 B4 00 00 40
[ 21:52:52 ] [ DEBUG ] B4
[ 21:52:52 ] [ DEBUG ] 23 E4 B9 5B 52 88 48 38 D4 D5 49 14 79 68 A6 13
[ 21:52:52 ] [ DEBUG ] 07 1C 4E D4 BF 16 22 06 57 86 57 E2 2E F7 51 CA
[ 21:52:52 ] [ DEBUG ] C4 A1 55 29 23 06 23 2E 31 4F F6 FE 8A 5C E6 79
[ 21:52:52 ] [ DEBUG ] 42 27 A5 19 F7 A6 C4 E7 97 B8 EC 82 EA 01 00 01
[ 21:52:52 ] [ DEBUG ] 91 20
[ 21:52:52 ] [ NDS ] Status Word from Card: 9120
[ 21:52:52 ] [ NDS ] Sending to Card: D0BC000050
[ 21:52:52 ] [ DEBUG ] D0 BC 00 00 50
[ 21:52:52 ] [ DEBUG ] BC B9 60 57 AC 9A 89 9E E6 12 86 7A CB 9E 89 B7
[ 21:52:52 ] [ DEBUG ] 68 B4 9A 2D 4F F2 DC 13 25 07 72 89 78 D4 BF 61
[ 21:52:52 ] [ DEBUG ] 49 B5 24 CC 56 83 1C 27 60 3D BB 1A 84 D7 4E 2E
[ 21:52:52 ] [ DEBUG ] A2 B2 9B EA EF 28 79 BC F3 D2 9D AF 8F 64 B6 6B
[ 21:52:52 ] [ DEBUG ] 00 93 64 C1 4B 6B BC 5F 27 95 C8 FF 10 0A D5 50
[ 21:52:52 ] [ DEBUG ] C5
[ 21:52:52 ] [ DEBUG ] 91 20
[ 21:52:52 ] [ NDS ] Status Word from Card: 9120
[ 21:52:52 ] [ NDS ] Sending to Card: D3BE000020
[ 21:52:52 ] [ DEBUG ] D3 BE 00 00 20
[ 21:52:52 ] [ DEBUG ] BE 54 2B B0 3B 2D EB 40 17 7A C0 C5 62 59 C4 29
[ 21:52:52 ] [ DEBUG ] 44 4B 93 03 82 9F 23 68 DA A5 D0 2A 9A 7B 64 30
[ 21:52:52 ] [ DEBUG ] 1F
[ 21:52:52 ] [ DEBUG ] 91 20
[ 21:52:52 ] [ NDS ] Status Word from Card: 9120
[ 21:52:52 ] [ NDS ] Sending to Card: D15800004A
[ 21:52:52 ] [ DEBUG ] D1 58 00 00 4A
[ 21:52:53 ] [ DEBUG ] 58 15 48 25 00 03 A0 CA 02 F2 66 67 AA 00 E1 54
[ 21:52:53 ] [ DEBUG ] 00 00 00 00 00 05 3C A6 00 09 1F 00 03 A0 CA FF
[ 21:52:53 ] [ DEBUG ] FF FF FF 00 03 A0 00 FF FF FF 00 00 00 00 00 FF
[ 21:52:53 ] [ DEBUG ] FF FF FF 08 00 00 00 01 53 52 42 00 01 55 30 30
[ 21:52:53 ] [ DEBUG ] 30 30 30 30 34 4B 15 AC 69 00 00
[ 21:52:53 ] [ DEBUG ] 91 20
[ 21:52:53 ] [ NDS ] Status Word from Card: 9120
[ 21:52:53 ] [ NDS ] Sending to Card: D14C000009
[ 21:52:53 ] [ DEBUG ] D1 4C 00 00 09
[ 21:52:53 ] [ DEBUG ] 4C
[ 21:52:53 ] [ DEBUG ] 0B 56 62 C1 03 00 00 02 04
[ 21:52:53 ] [ DEBUG ] 90 20
[ 21:52:53 ] [ NDS ] Status Word from Card: 9020
[ 21:52:53 ] [ Loader ] Card 091F on port /dev/ttyUSB0 ready
[ 21:52:53 ] [ ECM queue /dev/ttyUSB0 ] Starting...
[ 21:52:53 ] [ Loader ] Starting Newcamd Server on port 20011
[ 21:52:53 ] [ NewCS ] Ready to GO! :)

comment:21 Changed 9 years ago by lattjo

And where is the debug log from latest oscam? We need it for comparing.

comment:22 Changed 9 years ago by freak0815

oscam settings:
[reader]
Label = TotalTV
Protocol = mouse
Device = /dev/ttyUSB0
mhz = 357
cardmhz = 357
EMMCache = 1,1,2
BoxID=0Bxxxxxx
Group = 1
CAID = 091F
ident = 091F:000000

oscam version:
uxstarttime: 1282570302
starttime: 23.08.10 15:31:42
version: 0.99.4svn#2566
maxpid: 512
webifsupport: no
dvbapisupport: no
gboxsupport: no
anticascsupport: yes

oscam output:
2010/08/23 15:31:42 20256 s version=0.99.4svn, build #2566, system=i686-pc-linux, nice=-1
2010/08/23 15:31:42 20256 s max. clients=509, client max. idle=120 sec
2010/08/23 15:31:42 20256 s max. logsize=unlimited
2010/08/23 15:31:42 20256 s client timeout=5000 ms, fallback timeout=2500 ms, cache delay=0 ms
2010/08/23 15:31:42 20256 s shared memory initialized (size=4293398, id=229376)
2010/08/23 15:31:42 20256 s auth size=4756
2010/08/23 15:31:42 20256 s services reloaded: 0 services freed, 2 services loaded
2010/08/23 15:31:42 20256 s userdb reloaded: 0 accounts freed, 5 accounts loaded, 0 expired, 0 disabled
2010/08/23 15:31:42 20256 s signal handling initialized (type=sysv)
2010/08/23 15:31:42 20256 s can't open file "/usr/local/etc/oscam.srvid" (err=2), no service-id's loaded
2010/08/23 15:31:42 20256 s can't open file "/usr/local/etc/oscam.provid" (err=2), no provids's loaded
2010/08/23 15:31:42 20256 s monitor: initialized (fd=6, port=988)
2010/08/23 15:31:42 20256 s camd 3.3x: disabled
2010/08/23 15:31:42 20256 s camd 3.5x: disabled
2010/08/23 15:31:42 20256 s cs378x: disabled
2010/08/23 15:31:42 20256 s newcamd: initialized (fd=7, port=20011, crypted)
2010/08/23 15:31:42 20256 s CAID: 091F
2010/08/23 15:31:42 20256 s provid #0: 000000
2010/08/23 15:31:42 20256 s cccam: disabled
2010/08/23 15:31:42 20256 s radegast: disabled
2010/08/23 15:31:42 20256 s logger started (pid=20257)
2010/08/23 15:31:42 20256 s resolver thread started
2010/08/23 15:31:42 20256 s reader started (pid=20259, device=/dev/ttyUSB0, detect=cd, mhz=357, cardmhz=357)
2010/08/23 15:31:42 20256 s waiting for local card init
2010/08/23 15:31:44 20259 r01 card detected
2010/08/23 15:31:51 20259 r01 ATR: 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00
2010/08/23 15:31:51 20259 r01 exit with signal 8
2010/08/23 15:31:51 20256 s PANIC: reader lost !! (pid=20259)
2010/08/23 15:31:51 20256 s restarting totaltv reader in 5 seconds (index=0)

comment:23 Changed 9 years ago by lattjo

Debug log(-d255) please, anything else will not help! It does look like a pure oscam bug from the very limited information in a non-debug log.

comment:24 Changed 9 years ago by freak0815

Sorry!
Here is the debug log:


OSCam << cardserver started at Tue Aug 24 14:34:04 2010


2010/08/24 14:34:04 20970 s version=0.99.4svn, build #2566, system=i686-pc-linux, nice=-1
2010/08/24 14:34:04 20970 s max. clients=509, client max. idle=120 sec
2010/08/24 14:34:04 20970 s max. logsize=unlimited
2010/08/24 14:34:04 20970 s client timeout=5000 ms, fallback timeout=2500 ms, cache delay=0 ms
2010/08/24 14:34:04 20970 s shared memory initialized (size=4293398, id=393216)
2010/08/24 14:34:04 20970 s auth size=4756
2010/08/24 14:34:04 20970 s services reloaded: 0 services freed, 2 services loaded
2010/08/24 14:34:04 20970 s userdb reloaded: 0 accounts freed, 5 accounts loaded, 0 expired, 0 disabled
2010/08/24 14:34:04 20970 s signal handling initialized (type=sysv)
2010/08/24 14:34:04 20970 s can't open file "/usr/local/etc/oscam.srvid" (err=2), no service-id's loaded
2010/08/24 14:34:04 20970 s can't open file "/usr/local/etc/oscam.provid" (err=2), no provids's loaded
2010/08/24 14:34:04 20970 s monitor: initialized (fd=6, port=988)
2010/08/24 14:34:04 20970 s camd 3.3x: disabled
2010/08/24 14:34:04 20970 s camd 3.5x: disabled
2010/08/24 14:34:04 20970 s cs378x: disabled
2010/08/24 14:34:04 20970 s newcamd: initialized (fd=7, port=20011, crypted)
2010/08/24 14:34:04 20970 s CAID: 091F
2010/08/24 14:34:04 20970 s provid #0: 000000
2010/08/24 14:34:04 20970 s cccam: disabled
2010/08/24 14:34:04 20970 s radegast: disabled
2010/08/24 14:34:04 20970 s logger started (pid=20971)
2010/08/24 14:34:04 20970 s resolver thread started
2010/08/24 14:34:04 20970 s reader started (pid=20973, device=/dev/ttyUSB0, detect=cd, mhz=357, cardmhz=357)
2010/08/24 14:34:04 20970 s waiting for local card init
2010/08/24 14:34:04 20971 l starting client -1 with ip 127.0.0.1
2010/08/24 14:34:04 20973 r01 starting client 0 with ip 127.0.0.1
2010/08/24 14:34:04 20973 r01 IFD: Opening device /dev/ttyUSB0

2010/08/24 14:34:04 20973 r01 standard baudrate: cardmhz=357 mhz=357 -> effective baudrate 1200
2010/08/24 14:34:04 20973 r01 IO: Setting properties

2010/08/24 14:34:04 20973 r01 IO: Setting RTS=0
2010/08/24 14:34:04 20973 r01 IO: Setting DTR=1
2010/08/24 14:34:04 20973 r01 IO: Receiving:
2010/08/24 14:34:04 TIMEOUT
2010/08/24 14:34:04 20973 r01 IO: Receiving:
TIMEOUT
2010/08/24 14:34:05 20973 r01 IFD: Initializing reader totaltv type=4

2010/08/24 14:34:05 20973 r01 standard baudrate: cardmhz=357 mhz=357 -> effective baudrate 9600
2010/08/24 14:34:05 20973 r01 IO: Setting properties

2010/08/24 14:34:05 20973 r01 IO: Setting RTS=0
2010/08/24 14:34:05 20973 r01 IO: Setting DTR=1
2010/08/24 14:34:05 20973 r01 IO: Receiving:
TIMEOUT
2010/08/24 14:34:06 20973 r01 IFD: Device /dev/ttyUSB0 succesfully opened

2010/08/24 14:34:06 20973 r01 ct_init on /dev/ttyUSB0: 1
2010/08/24 14:34:06 20973 r01 IFD: Status = card
2010/08/24 14:34:06 20973 r01 card detected
2010/08/24 14:34:06 20973 r01 IFD: Status = card
2010/08/24 14:34:06 20973 r01 IFD: Activating card in reader totaltv

2010/08/24 14:34:06 20973 r01 IFD: Resetting card:

2010/08/24 14:34:06 20973 r01 IFD: Phoenix Setting baudrate to 9600

2010/08/24 14:34:06 20973 r01 standard baudrate: cardmhz=357 mhz=357 -> effective baudrate 9600
2010/08/24 14:34:06 20973 r01 IO: Setting properties

2010/08/24 14:34:07 20973 r01 IO: Receiving:
TIMEOUT
2010/08/24 14:34:08 20973 r01 IFD: Setting parity from Even to Even

2010/08/24 14:34:08 20973 r01 IO: Setting RTS=1
2010/08/24 14:34:08 20973 r01 IO: Setting RTS=0
2010/08/24 14:34:08 20973 r01 IO: Receiving:
TIMEOUT
2010/08/24 14:34:09 20973 r01 IO: Receiving:
TIMEOUT
2010/08/24 14:34:10 20973 r01 IFD: Setting parity from Even to Odd

2010/08/24 14:34:10 20973 r01 IO: Setting properties

2010/08/24 14:34:11 20973 r01 IO: Setting RTS=1
2010/08/24 14:34:11 20973 r01 IO: Setting RTS=0
2010/08/24 14:34:11 20973 r01 IO: Receiving:
03
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 00
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 D7
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 5B
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 3F
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 F7
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 FE
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 33
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 F2
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 F7
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 69
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 00
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 AD
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 F5
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 F1
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 FF
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 FF
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 A5
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 3D
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 7F
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 FF
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 FF
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 03
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 00
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 D7
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 5B
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 3F
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 F7
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 FE
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 33
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 F2
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 F7
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 69
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 00
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 AD
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 F5
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 F1
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 FF
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 FF
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 A5
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 3D
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 7F
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 FF
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:11 FF
2010/08/24 14:34:11 20973 r01 IO: Receiving:
2010/08/24 14:34:12 TIMEOUT
2010/08/24 14:34:12 20973 r01 ATR: 3F FF 14 25 03 10 80 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00
2010/08/24 14:34:12 20973 r01 TA1=14 TB1=25 TC1=03 TD1=10 (T0)
2010/08/24 14:34:12 20973 r01 TA2=80 no TD2 means T0
2010/08/24 14:34:12 20973 r01 1 protocol types detected. Historical bytes: 33 B0 10 69 FF 4A 50 70 00 00 5A 43 01 00 00
2010/08/24 14:34:12 20973 r01 Specific mode: T0, F=372, D=8.000000, N=3

2010/08/24 14:34:12 20973 r01 IFD: Phoenix Setting baudrate to 76800

2010/08/24 14:34:12 20973 r01 exit with signal 8
2010/08/24 14:34:12 20970 s PANIC: reader lost !! (pid=20973)
2010/08/24 14:34:12 20970 s reader totaltv closed (index=0)
2010/08/24 14:34:12 20970 s restarting totaltv reader in 5 seconds (index=0)

comment:25 Changed 9 years ago by lattjo

Resolution: wontfix
Status: newclosed

Works fine with pcsc reader according to http://oscam.ump2002.net/board/thread.php?postid=23579#post23579. Any problems are probably related to the 76800 baudrate that not all readers support.

Note: See TracTickets for help on using tickets.